Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.pk
Class SubjectKeyIdentifierSelector

    java.lang.Object
      weblogic.security.pk.SubjectKeyIdentifierSelector

All Implemented Interfaces:
  CertPathSelector

    public final class SubjectKeyIdentifierSelector

extends Object
implements CertPathSelector

Look up and validate certificate chains using the subject key identifier of the chain's end certificate.

For more information, see the sections that describe certification paths in "Developing Security Providers for WebLogic Server" and "Programming WebLogic Security" on http://edocs.bea.com.

See Also:
  `CertPathBuilderParameters`, `CertPathBuilder`

Constructor Summary
`SubjectKeyIdentifierSelector(byte[] subjectKeyIdentifier)` Construct a SubjectKeyIdentifierSelector using the subject key identifier of the chain's end certificate.

Method Summary
`byte[]` | `getSubjectKeyIdentifier()` The subject key identifier of the chain's end certificate.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SubjectKeyIdentifierSelector

    public SubjectKeyIdentifierSelector(byte[] subjectKeyIdentifier)

  Construct a SubjectKeyIdentifierSelector using the subject key identifier of the chain's end certificate.

  Parameters:
    `subjectKeyIdentifier` - The subject key identifier
  Throws:
    `IllegalArgumentException` - if subjectKeyIdentifier is `null` or `empty`

Method Detail

### getSubjectKeyIdentifier

    public byte[] getSubjectKeyIdentifier()

  The subject key identifier of the chain's end certificate.

  Returns:
    The subject key identifier

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD